Bug 124748 - (ACPI)IRQ Conflict, only happens with 2.6 or newer kernel
(ACPI)IRQ Conflict, only happens with 2.6 or newer kernel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-29 01:45 EDT by Joshua
Modified: 2015-01-04 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:34:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua 2004-05-29 01:45:46 EDT
Description of problem:
USB Mouse becomes unusable after playing music with XMMS
also happenes while sounds are enabled in Gaim

Version-Release number of selected component (if applicable):
xmms-1.2.10-2.p
gaim-0.77-7
Kernel-2.6.5-1.358
Kernel-2.6.6-1.391
How reproducible:
play music in XMMS

Steps to Reproduce:
1.open xmms
2.press play
3.
  
Actual results:
starts playing music, then in the console I get the message: Disabling
IRQ 11! from syslogd
and my USB Mouse stops functioning, LED from mouse is off.

Expected results:
just to play music

Additional info:
this is on an Acer Aspire 1501
happens with both kernels,
2.6.5-1.358
2.6.6-1.391
Comment 1 Joshua 2004-05-29 01:46:40 EDT
This error does not happen when using Fedora Core 1
Comment 2 Joshua 2004-05-29 01:48:04 EDT
syslog:

May 29 01:21:56 JOSHTECH64 kernel: spurious 8259A interrupt: IRQ7.
May 29 01:22:03 JOSHTECH64 kernel: irq 11: nobody cared! (screaming
interrupt?)
May 29 01:22:03 JOSHTECH64 kernel:  [<021070c2>]
__report_bad_irq+0x2b/0x67
May 29 01:22:03 JOSHTECH64 kernel:  [<0210715a>] note_interrupt+0x43/0x66
May 29 01:22:03 JOSHTECH64 kernel:  [<02107320>] do_IRQ+0x109/0x169
May 29 01:22:03 JOSHTECH64 kernel:  [<0213eca1>] rw_vm+0x1/0x1ea
May 29 01:22:03 JOSHTECH64 kernel:  [<0213f0d7>] put_user_size+0x29/0x2d
May 29 01:22:03 JOSHTECH64 kernel:  [<0211b776>]
sys_gettimeofday+0x25/0x55
May 29 01:22:03 JOSHTECH64 kernel: 
May 29 01:22:03 JOSHTECH64 kernel: handlers:
May 29 01:22:03 JOSHTECH64 kernel: [<02214c34>] (usb_hcd_irq+0x0/0x4b)
May 29 01:22:03 JOSHTECH64 kernel: Disabling IRQ #11
Comment 3 Joshua 2004-05-29 01:49:22 EDT
lspci:

00:00.0 Host bridge: VIA Technologies, Inc. VT8385 [K8T800 AGP] Host
Bridge (rev 01)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800
South]
00:0a.0 Network controller: Broadcom Corporation BCM94306 802.11g (rev 03)
00:0b.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev aa)
00:0b.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev aa)
00:0b.2 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller
(rev 02)
00:0c.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5788
Gigabit Ethernet (rev 03)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
00:11.6 Communication controller: VIA Technologies, Inc. Intel 537
[AC97 Modem] (rev 80)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
01:00.0 VGA compatible controller: ATI Technologies Inc RV350
[Mobility Radeon 9600 M10]
Comment 4 Alan Cox 2004-06-18 21:45:07 EDT
Please report if booting with "acpi=off" helps
Comment 5 Joshua 2004-06-19 02:10:37 EDT
huh, thought that I had tried that before, but it appears to be 
working now, leave it to Acpi to screw things up :S

using Kernel 2.6.6.-1.435
Comment 6 Joshua 2004-06-19 02:11:09 EDT
oh.. and thanks Alan
Comment 7 Alan Cox 2004-06-19 06:55:03 EDT
Thanks for the report.
Comment 8 Dave Jones 2005-04-16 00:34:27 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.